# 3.101 版本以前

**EcoItems** 前身是由 **EcoItems（Legacy）**&#x548C; **EcoWeapon** 两个插件合并而成的，因此本质上它更侧重于武器的制作，虽然也能做盔甲，但还是不推荐。在本篇教程中，统一将插件原本的武器（Weapons）视作物品（Items）以便于理解。

自定义物品配置可以在 `plugins/EcoItems/items.yml` 中找到，它的一般配置如下：

```
items:
  - <第一个物品配置>
  - <第二个物品配置>
fuels:
  - <第一个燃料配置>
  - <第二个燃料配置>
recipes:
  - <第一个合成配方配置>
  - <第二个合成配方配置>
```

由于每个物品都有 `recipe` 选项可以配置其合成配方，故这里大的 `recipes` 我们很少使用。这里大的 `recipes` 更像是 **EcoItems** 提供的一个自定义合成插件的功能。

本文侧重于 `items` 键下的讲解，`items` 为一个 **List** 类型的自定义物品的键，所有自定义物品的一般配置如下：

```
- id: promising_axe
  baseDamage: 10
  baseAttackSpeed: 0.8
  item:
    item: iron_axe unbreakable hide_attributes
    lore:
    - '&7伤害: &c10❤'
    - ''
    - '&7每挖掘 &e50 &7个方块获得 &b急迫 I'
    - '&710秒.'
    - ''
    - '&a&l稀有'
    displayName: '&a希望斧'
    recipe: []
    craftable: false
  fuels: []
  effects:
  - args:
      duration: 200
      level: 1
      effect: FAST_DIGGING
      apply_to_player: true
      every: 3
    id: potion_effect
    triggers:
    - mine_block
  conditions: []
```

另外的 `fuels` 与 `items` 几乎一样，但是它只有 `id` 和 `item` 两个选项。

回到正题，我们可以看出 `items` 下的自定义物品设置由以下部分组成：

* **id：**&#x7269;品的 **id**。
* **baseDamage：**&#x7269;品的基础伤害。
* **baseAttackSpeed：**&#x7269;品的基础攻击速度。

{% hint style="info" %}
默认情况下不是攻击的武器以上两个值直接填写1即可。

以上两个值只对近战攻击有效，远程攻击的伤害修改请见后文。
{% endhint %}

* **item：**&#x7269;品的设置。下面的各个子键在 **护身符和盔甲** 一节基本已经重复多次，不再赘述。
* **fuels：**&#x7269;品的燃料。玩家每次使用该物品都会消耗燃料，没有燃料将无法使用该物品。
* **effects/conditions：**&#x54;he Effect System（自定义技能系统）的内容，将在后文介绍。
* **effectiveDurability：**&#x7269;品的耐久。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/wu-pin-wu-qi/3.101-ban-ben-yi-qian.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
